com.ibm.openpages.api.metadata

## Interface IFieldDefinition

- All Known Subinterfaces:
    IProfileFieldDefinition

      public interface IFieldDefinition

  Represents OpenPages metadata pertaining to a field part of a type definition.

  Category:
    MetaData

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataType` | `getDataType()` Returns the data type part of the property definition.
    `java.lang.Object` | `getDefaultValue()` Returns the default value for this field when specified in the model.
    `java.util.List<IFieldDependency>` | `getDependencies()` Returns the list of all dependencies for this field.
    `java.util.List<IEnumValue>` | `getDescendantEnumValuesByParentId(Id enumValueId)` Returns the IEnumValue by its Id.
    `java.util.List<IEnumValue>` | `getDescendantEnumValuesByParentName(java.lang.String systemName)` Returns the IEnumValue by its system name.
    `java.lang.String` | `getDescription()` Returns the system level description of the property.
    `IDisplayTypeAttributes` | `getDisplayTypeAttributes()` Returns display-type attributes defined on the field definition, or null if it is not set.
    `IEnumValue` | `getEnumValue(java.lang.String systemName)` Returns the IEnumValue by its system name.
    `IEnumValue` | `getEnumValue(java.lang.String systemName, boolean caseSensitive)` Returns the IEnumValue by its system name.
    `IEnumValue` | `getEnumValueById(Id enumValueId)` Returns the IEnumValue by its Id.
    `java.util.List<IEnumValue>` | `getEnumValues()` Returns the list of `IEnumValue` for all the elements that are part of an enumeration.
    `Id` | `getId()` Returns the unique id associated with the field definition.
    `boolean` | `getIsHierarchical()` Returns true if the field is a hierarchical enum data type
    `java.lang.String` | `getLocalizedGuidance()` Returns the field guidance in the user locale.
    `java.util.Map<java.util.Locale,java.lang.String>` | `getLocalizedGuidances()` Returns the map of the field guidance in every locale
    `java.lang.String` | `getLocalizedLabel()` Returns the field definition name in the user locale.
    `java.util.Map<java.util.Locale,java.lang.String>` | `getLocalizedLabels()` Returns the map of the field definition name in every locale
    `java.lang.Object` | `getMaxValue()` Returns the maximum allowable value for this field when specified in the model.
    `java.lang.Object` | `getMinValue()` Returns the minimum allowable value for this field when specified in the model.
    `java.lang.String` | `getName()` Returns the system name associated with the field definition.
    `boolean` | `isComputed()` Returns true for computed fields.
    `boolean` | `isController()` Returns true if this field is a controller for any other field's dependencies.
    `boolean` | `isEncrypted()` Returns if the field definition is configured to be encrypted in the database.
    `boolean` | `isReadOnly()` Returns true for read only fields.
    `boolean` | `isRequired()` Returns true if the field definition is required.

- - ### Method Detail

    - #### getId

          Id getId()

      Returns the unique id associated with the field definition.

      Returns:
        `Id` - unique field id

    - #### getName

          java.lang.String getName()

      Returns the system name associated with the field definition.

      Returns:
        the system name as a string

    - #### getLocalizedLabel

          java.lang.String getLocalizedLabel()

      Returns the field definition name in the user locale.

      Returns:
        localized name if it exists; otherwise, the system name is returned
      Lazily Loaded:
        every access retrieves the latest state

    - #### getLocalizedLabels

          java.util.Map<java.util.Locale,java.lang.String> getLocalizedLabels()

      Returns the map of the field definition name in every locale

      Returns:
        field definition name in every locale as a map whose key is locale and value is the name.
      Lazily Loaded:
        every access retrieves the latest state

    - #### getLocalizedGuidance

          java.lang.String getLocalizedGuidance()

      Returns the field guidance in the user locale.

      Returns:
        localized guidance if it exists; otherwise, empty string
      Lazily Loaded:
        every access retrieves the latest state

    - #### getLocalizedGuidances

          java.util.Map<java.util.Locale,java.lang.String> getLocalizedGuidances()

      Returns the map of the field guidance in every locale

      Returns:
        field guidance in every locale as a map whose key is locale and value is the guidance.
      Lazily Loaded:
        every access retrieves the latest state

    - #### getDataType

          DataType getDataType()

      Returns the data type part of the property definition.

      Returns:
        `DataType` the instance of DataType

    - #### isRequired

          boolean isRequired()

      Returns true if the field definition is required.

      Returns:
        true if a required field

    - #### getDescription

          java.lang.String getDescription()

      Returns the system level description of the property. This information is not localized.

      Returns:
        the system level description as a string

    - #### getMaxValue

          java.lang.Object getMaxValue()

      Returns the maximum allowable value for this field when specified in the model. May return null.

      Returns:
        the maximum allowable value

    - #### getMinValue

          java.lang.Object getMinValue()

      Returns the minimum allowable value for this field when specified in the model. May return null.

      Returns:
        the minimum allowable value

    - #### getDefaultValue

          java.lang.Object getDefaultValue()

      Returns the default value for this field when specified in the model. May return null.

      Returns:
        the default value

    - #### getEnumValues

          java.util.List<IEnumValue> getEnumValues()

      Returns the list of `IEnumValue` for all the elements that are part of an enumeration.

      Returns:
        List - all the elements that are part of an enumeration

    - #### getEnumValue

          IEnumValue getEnumValue(java.lang.String systemName)

      Returns the IEnumValue by its system name.

      Parameters:
        `systemName` - the system name of the enumeration element
      Returns:
        IEnumValue for this systemName

    - #### getEnumValue

          IEnumValue getEnumValue(java.lang.String systemName,
                                  boolean caseSensitive)

      Returns the IEnumValue by its system name.

      Parameters:
        `systemName` - the system name of the enumeration element
        `caseSensitive` -
      Returns:
        IEnumValue for this systemName

    - #### getEnumValueById

          IEnumValue getEnumValueById(Id enumValueId)

      Returns the IEnumValue by its Id.

      Parameters:
        `enumValueId` - the element id
      Returns:
        IEnumValue for this Id

    - #### getDescendantEnumValuesByParentName

          java.util.List<IEnumValue> getDescendantEnumValuesByParentName(java.lang.String systemName)

      Returns the IEnumValue by its system name.

      Parameters:
        `systemName` - the system name of the enumeration element
      Returns:
        IEnumValue for this systemName

    - #### getDescendantEnumValuesByParentId

          java.util.List<IEnumValue> getDescendantEnumValuesByParentId(Id enumValueId)

      Returns the IEnumValue by its Id.

      Parameters:
        `enumValueId` - the element id
      Returns:
        IEnumValue for this Id

    - #### getDependencies

          java.util.List<IFieldDependency> getDependencies()

      Returns the list of all dependencies for this field.

      Returns:
        List the list of all field dependencies

    - #### isController

          boolean isController()

      Returns true if this field is a controller for any other field's dependencies.

      Returns:
        true if the field is a controller

    - #### isComputed

          boolean isComputed()

      Returns true for computed fields.

      Returns:
        true if the field is a computed field

    - #### isReadOnly

          boolean isReadOnly()

      Returns true for read only fields.

      Returns:
        true if the field is read-only

    - #### isEncrypted

          boolean isEncrypted()

      Returns if the field definition is configured to be encrypted in the database. Default is false.

      Returns:
        true if the field is configured to be encrypted in the database
      Since:
        7.1.0.0

    - #### getDisplayTypeAttributes

          IDisplayTypeAttributes getDisplayTypeAttributes()

      Returns display-type attributes defined on the field definition, or null if it is not set.

      Returns:
        display-type attributes
      Since:
        7.4.0.1

    - #### getIsHierarchical

          boolean getIsHierarchical()

      Returns true if the field is a hierarchical enum data type

      Returns:
        true if the field is a hierarchical enum data type

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.